# HG changeset patch
# Node ID 77f85f21b254
# Parent  e609b45a6326
diff --git a/ChangeLog.API b/ChangeLog.API
--- a/ChangeLog.API
+++ b/ChangeLog.API
@@ -339,6 +339,10 @@ version 3.0.0 (??/??/????):
 		  file-recv-start, file-send-accept, file-send-cancel,
 		  file-send-complete, file-send-start signals. Use
 		  notify::status on #PurpleXfer objects instead.
+		* displaying-email-notification,
+		  displaying-emails-notification, displaying-emails-clear
+		  signals
+		* displaying-userinfo signal
 		* got-attention, sent-attention signals
 		* network-configuration-changed signal
 		* PurpleAccount->ui_data
diff --git a/doc/reference/libpurple/libpurple.toml.in b/doc/reference/libpurple/libpurple.toml.in
--- a/doc/reference/libpurple/libpurple.toml.in
+++ b/doc/reference/libpurple/libpurple.toml.in
@@ -47,7 +47,6 @@ content_files = [
 	"signals_conversation.md",
 	"signals_core.md",
 	"signals_jabber.md",
-	"signals_notify.md",
 	"signals_savedstatus.md",
 	"signals_xfer.md",
 	"tut_c_plugins.md",
diff --git a/doc/reference/libpurple/meson.build b/doc/reference/libpurple/meson.build
--- a/doc/reference/libpurple/meson.build
+++ b/doc/reference/libpurple/meson.build
@@ -9,7 +9,6 @@ libpurple_doc_content_files = [
 	'signals_conversation.md',
 	'signals_core.md',
 	'signals_jabber.md',
-	'signals_notify.md',
 	'signals_savedstatus.md',
 	'signals_xfer.md',
 	'tut_c_plugins.md',
diff --git a/doc/reference/libpurple/signals_notify.md b/doc/reference/libpurple/signals_notify.md
deleted file mode 100644
--- a/doc/reference/libpurple/signals_notify.md
+++ /dev/null
@@ -1,106 +0,0 @@
-Title: Notify Signals
-Slug: notify-signals
-
-## Notify Signals
-
-### Signal List
-
-* [displaying-userinfo](#displaying-userinfo)
-* [displaying-email-notification](#displaying-email-notification)
-* [displaying-emails-notification](#displaying-emails-notification)
-
-### Signal Details
-
-#### displaying-userinfo
-
-```c
-void user_function(PurpleAccount *account,
-                   const gchar *who,
-                   PurpleNotifyUserInfo *user_info,
-                   gpointer user_data);
-```
-
-Emitted before userinfo is handed to the UI to display. `user_info` can be manipulated via the PurpleNotifyUserInfo API in notify.c.
-
-> If adding a PurpleNotifyUserInfoEntry, be sure not to free it --
-> PurpleNotifyUserInfo assumes responsibility for its objects.
-
-**Parameters:**
-
-**account**
-: The account on which the info was obtained.
-
-**who**
-: The name of the buddy whose info is to be displayed.
-
-**user_info**
-: The information to be displayed, as PurpleNotifyUserInfoEntry objects.
-
-**user_data**
-: user data set when the signal handler was connected.
-
-----
-
-#### displaying-email-notification
-
-```c
-void user_function(const gchar *subject,
-                   const gchar *from,
-                   const gchar *to,
-                   const gchar *url,
-                   gpointer user_data);
-```
-
-Emitted before notification of a single email is handed to the UI to display.
-
-**Parameters:**
-
-**subject**
-: Subject of email being notified of.
-
-**from**
-: Who the email is from.
-
-**to**
-: Who the email is to.
-
-**url**
-: A url to view the email.
-
-**user_data**
-: user data set when the signal handler was connected.
-
-----
-
-#### displaying-emails-notification
-
-```c
-void user_function(const gchar **subjects,
-                   const gchar **froms,
-                   const gchar **tos,
-                   const gchar **urls,
-                   guint count,
-                   gpointer user_data)
-```
-
-Emitted before notification of multiple emails is handed to the UI to display.
-
-**Parameters:**
-
-**subjects**
-: Subjects of emails being notified of.
-
-**froms**
-: Who the emails are from.
-
-**tos**
-: Who the emails are to.
-
-**urls**
-: The urls to view the emails.
-
-**count**
-: Number of emails being notified of.
-
-**user_data**
-: user data set when the signal handler was connected.
diff --git a/libpurple/notify.h b/libpurple/notify.h
--- a/libpurple/notify.h
+++ b/libpurple/notify.h
@@ -867,15 +867,6 @@ PurpleNotifyUiOps *purple_notify_get_ui_
 /**************************************************************************/
 
 /**
- * purple_notify_get_handle:
- *
- * Returns the notify subsystem handle.
- *
- * Returns: The notify subsystem handle.
- */
-void *purple_notify_get_handle(void);
-
-/**
  * purple_notify_init:
  *
  * Initializes the notify subsystem.
diff --git a/libpurple/notify.c b/libpurple/notify.c
--- a/libpurple/notify.c
+++ b/libpurple/notify.c
@@ -318,9 +318,6 @@ purple_notify_userinfo(PurpleConnection 
 	if (ops != NULL && ops->notify_userinfo != NULL) {
 		void *ui_handle;
 
-		purple_signal_emit(purple_notify_get_handle(), "displaying-userinfo",
-						 purple_connection_get_account(gc), who, user_info);
-
 		ui_handle = ops->notify_userinfo(gc, who, user_info);
 
 		if (ui_handle != NULL) {
@@ -804,40 +801,12 @@ purple_notify_get_ui_ops(void)
 	return notify_ui_ops;
 }
 
-void *
-purple_notify_get_handle(void)
-{
-	static int handle;
-
-	return &handle;
-}
-
 void
 purple_notify_init(void)
 {
-	gpointer handle = purple_notify_get_handle();
-
-	purple_signal_register(handle, "displaying-email-notification",
-						 purple_marshal_VOID__POINTER_POINTER_POINTER_POINTER,
-						 G_TYPE_NONE, 4, G_TYPE_STRING, G_TYPE_STRING,
-						 G_TYPE_STRING, G_TYPE_STRING);
-
-	purple_signal_register(handle, "displaying-emails-notification",
-						 purple_marshal_VOID__POINTER_POINTER_POINTER_POINTER_UINT,
-						 G_TYPE_NONE, 5, G_TYPE_POINTER, G_TYPE_POINTER,
-						 G_TYPE_POINTER, G_TYPE_POINTER, G_TYPE_UINT);
-
-	purple_signal_register(handle, "displaying-emails-clear",
-						 purple_marshal_VOID, G_TYPE_NONE, 0);
-
-	purple_signal_register(handle, "displaying-userinfo",
-						 purple_marshal_VOID__POINTER_POINTER_POINTER,
-						 G_TYPE_NONE, 3, PURPLE_TYPE_ACCOUNT, G_TYPE_STRING,
-						 PURPLE_TYPE_NOTIFY_USER_INFO);
 }
 
 void
 purple_notify_uninit(void)
 {
-	purple_signals_unregister_by_instance(purple_notify_get_handle());
 }
